=== debian/changelog ===
cwebx (3.52-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.6.1, no changes needed.

  [ Julian Gilbey ]
  * Update standards version to 4.7.2, no changes needed.

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 12:21:30 +0100

cwebx (3.52-3) unstable; urgency=medium

  * Install manual in PDF format instead of DVI format
  * Fix examples Makefile
  * Support parallel building
  * Bump Standards-Version
  * Update to current debhelper-compat
  * Update copyright file to new format
  * Add Vcs-Git and Vcs-Browser to debian/control

 -- Julian Gilbey <jdg@debian.org>  Thu, 28 Jan 2021 10:36:52 +0000

cwebx (3.52-2) unstable; urgency=medium

  * Change directory test from test -s to test -d (thanks to Peter Michael
    Green for suggested patch; closes: #772618)

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Jun 2015 17:48:02 +0100

cwebx (3.52-1) unstable; urgency=medium

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Sun, 05 Oct 2014 19:58:02 +0100

cwebx (3.04-9) unstable; urgency=low

  * Update dependencies for new TeXLive packages (Closes: #420904)

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 Apr 2007 14:14:20 +0100

cwebx (3.04-8) unstable; urgency=low

  * Update to new standards version 3.6.2 (Closes: #328794)
  * Update to debhelper version 4

 -- Julian Gilbey <jdg@debian.org>  Tue, 20 Sep 2005 08:44:24 +0100

cwebx (3.04-7) unstable; urgency=low

  * Get debug/warning stuff right this time!

 -- Julian Gilbey <jdg@debian.org>  Tue,  8 May 2001 10:25:40 +0100

cwebx (3.04-6) unstable; urgency=low

  * Support DEB_BUILD_OPTIONS=debug
  * Standards version 3.5.4

 -- Julian Gilbey <jdg@debian.org>  Tue,  8 May 2001 09:25:58 +0100

cwebx (3.04-5) unstable; urgency=low

  * Removed install-stamp from debian/rules
  * Standards version 3.1.1 (FHS, Build-Depends, etc.)

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Nov 1999 12:34:03 +0000

cwebx (3.04-4) unstable; urgency=low

  * Moved tex input files from /usr/lib/texmf to /usr/share/texmf in line
    with the change in tetex-*, moving towards FHS compliance

 -- Julian Gilbey <jdg@debian.org>  Fri,  9 Apr 1999 12:46:54 +0100

cwebx (3.04-3) unstable; urgency=low

  * Removed CVS files from diff file!

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Feb 1999 19:55:40 +0000

cwebx (3.04-2) unstable; urgency=low

  * Changed gcc flags to -O2 -g -Wall as described in Policy 4.1

 -- Julian Gilbey <jdg@debian.org>  Sun,  7 Feb 1999 21:34:23 +0000

cwebx (3.04-1) unstable; urgency=low

  * Initial Release.

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Jan 1999 11:23:23 +0000
